<?php

/* 
 * Sync BY ARTHIS 
 * 
 * @author Karina Loria Brenes <karina@arthiscr.com>
 * July 2020
 */

require_once 'dbConfig.php';

class genericConn extends dbConfig{

    function __construct() {
        parent::_construct();
    }//end constructor

    /*********************************GENERIC CONN*******************************************/
    public function insert($query) {
        $sql = $this->_db->prepare($query);
        return $sql->execute();
    }

    public function getLastID() {
        return $last_id = $this->_db->insert_id;
    }

    public function escape_string($query) {
        //quitar ' escapados
        return mysqli_real_escape_string($this->_db, $query);
    }

    public function querySQL($query) {
        return $this->_db->query($query);
       // return mysqli_fetch_array($result);
    }

    public function numberRows($query) {
        $result = $this->_db->query($query);
        return $result->num_rows;
    }

}//end class
