// CARGA DE PRODUCTOS DERMA LASER

//	COM_GuillermoCortes (Productos Dermatologicos)
//	yD5Kmak9aFtJpnNBHizrowwko5IXwRUV8SQEmoR8QjjHymjnR0dKd0Vbm3yiKKyZAz5SpiYiWs

//	COM_GuillermoCortes2 (DermaLaser)
//	yD5Kmak9aFtJpnNBHizrgOkErR23ssGKXD7nHGrJYgNz8OWFdcB0zyCQcQQGVbXRH8qigvyeUI0ZMBDDwsS7Q


// aqui debe de configurarse la base de datos del cliente, la info se solicita a soporte
let BASE_DATOS = 'COM_GuillermoCortes3'; // debe ser un valor string

// y debe configurarse el ID de bodega designada como bodega para venta web, si el cliente solo tiene una se coloca 1
let ID_BODEGA = 1; // debe ser un valor integer

// debe ponerse la API Key del cliente, en ArgusCore es Configurar Base Datos > PasswordWSIntegraciones, la info se solicita a soporte
let API_KEY = 'yD5Kmak9aFtJpnNBHizrowwko5IXwRUV8SQEmoR8QjjHymjnR0dKd0Vbm3yiKKyZAz5SpiYiWs';

let API_PATH =  "https://app.ecwid.com/api/v3/32903542/";
let API_TOKEN = "public_wf2APewnmVLuFHin1CYKzNaZ6LGxe5d4";
let API_SECRET_TOKEN = "secret_6Hfw4tiN3wV9k4rBQvi1hAHVXeuZ15Yv";
let API_PATH_PRODUCTS =  "products";
let API_PATH_COMBINATIONS = "combinations";

console.log("Inicio");

// esta funcion NUNCA se varía de cliente a cliente si se desea reutilizar para otra pagina
function ObtenerProductos(){

	// en este endpoint se obtiene la lista de producto
	//let endpoint = 'https://arguscoreapi.grupoargus.co.cr:128/_API/Integraciones/' + BASE_DATOS + '?apikey=' + API_KEY + '&method=API_Get_ObtenerProductos&jparams={"@ps_NombreBaseDatos":"\'' + BASE_DATOS + '\'","@pl_IdBodega":' + ID_BODEGA + '}'; 
	let endpoint = 'https://arguscoreapi.grupoargus.co.cr:128/_API/Integraciones/' + BASE_DATOS + '?apikey=' + API_KEY + '&method=API_Get_ObtenerProductos_OnSKU&jparams={"@ps_NombreBaseDatos":"\'' + BASE_DATOS + '\'","@pl_IdBodega":' + ID_BODEGA + '}'; 

	// retorna la lista de productos incluyendo familia y subfamilia, al iterar sobre ellos puede controlarse la construcción de manera dinámica
	return ObtenerDatos(endpoint);
        
};

// esta funcion NUNCA se varía de cliente a cliente si se desea reutilizar para otra pagina
function ObtenerFotoProductoBase64(ID_PRODUCTO){

	// en este endpoint se obtiene la imagen del producto
	let endpoint = 'https://arguscoreapi.grupoargus.co.cr:128/_API/Integraciones/' + BASE_DATOS + '?apikey=' + API_KEY + '&method=API_Get_ObtenerImagenProductoBase64&jparams={"@ps_NombreBaseDatos":"\'' + BASE_DATOS + '\'","@pl_IdBodega":' + ID_BODEGA + ',"@pb_IncluirImagen":1,"@pi_IdProducto":' + ID_PRODUCTO + '}';

	// retorna la foto del articulo
	EjecutarSP(endpoint).then(function (response) {
		// Codigo a ejecutar en caso de que el promise de EjecutaSP ya tenga los datos con los cuales trabajar -HJ
		let obj = response[0];
		//console.log(obj["base64_foto"]); // descomentar para efectos de depuración
		if(obj["base64_foto"].toString() != 'data:image/jpeg;base64,'){
			document.getElementById('foto1_' + ID_PRODUCTO).setAttribute('src',obj["base64_foto"]);
			document.getElementById('foto1_' + ID_PRODUCTO).setAttribute('title',obj["Descripcion"]);
			
		}else{
			document.getElementById('foto1_' + ID_PRODUCTO).setAttribute('title','No se ha agregado una fotografía');
			document.getElementById('foto1_' + ID_PRODUCTO).style.objectFit = 'none';
		}
		
	}).catch(function (err) {
		// Aqui va el codigo a ejecutar en caso de que exista un error en el promise de EjecutarSP
	});
};

function EjecutarSP(endpoint_completa) {

    // es super necesario utilizar promise en esta funcion JS para que EjecutaSP pueda reutilizarse para llamar SPs desde cualquier parte -HJ
    return new Promise(function (resolve, reject) {

		$.support.cors = true; // habilita el soporte para CORS

		var ajaxRequest = $.ajax({
			type: "POST", // lo preferible es que se comunique mediante POST, de igual manera recibe respuesta apropiada
			url: endpoint_completa, // manda el URL del endpoint de API
			contentType: "application/json; charset=utf-8", // por aquello ajusta el contenido enviado como UTF-8 (Tildes y acentos)
			dataType: "json" // y el tipo de datos como json para trabajarlo mas sencillo
		});
	
		//When the request successfully finished, execute passed in function
		ajaxRequest.done(function(msg){
			//console.log(msg); // descomentar para efectos de depuraciÃ³n
			// en caso de que la respuesta interna del servidor sea de error muestra el mensaje de error -HJ
			resolve(msg);
		});
	
		// Cuando la solicitud con CORS a la API remota falla no se puede utilizar response.d debe utilizarse de esta manera distinta -HJ
		ajaxRequest.fail(function(jqXHR, status){
	
			// formatea la respuesta para ser colocada en consola
			let respuestaFormal = 'Error ' + jqXHR.status + '(' + jqXHR.statusText + '): ' + jqXHR.responseText;
			//console.log(respuestaFormal);
	
			//si existe un error es retornado por el promise para
			reject(respuestaFormal);
		});

    });
};

// esta funcion NUNCA se varía de cliente a cliente si se desea reutilizar para otra pagina
function ObtenerDatos(endpoint_completa){

	$.support.cors = true; // habilita el soporte para CORS

	var ajaxRequest = $.ajax({
		type: "POST", // lo preferible es que se comunique mediante POST, de igual manera recibe respuesta apropiada
		url: endpoint_completa, // manda el URL del endpoint de API
		contentType: "application/json; charset=utf-8", // por aquello ajusta el contenido enviado como UTF-8 (Tildes y acentos)
		dataType: "json" // y el tipo de datos como json para trabajarlo mas sencillo
	});

	//When the request successfully finished, execute passed in function
	ajaxRequest.done(function(msg){
		 // console.log(msg);
            $.each(msg, function (i, item) {
                
               if(item.PrecioVentaA > 0 && item.CodigoBarras === '8470002568594'){
               //if(item.CodigoBarras === '8429979468932'){  
               //if(item.PrecioVentaA > 0){
                   console.log(item);
                   SincronizarProducto(item);
               }//end if
            });
		console.log("Termino");
		//ArmadoElementosHTML(JSON.stringify(msg));
	});

	// Cuando la solicitud con CORS a la API remota falla no se puede utilizar response.d debe utilizarse de esta manera distinta -HJ
	ajaxRequest.fail(function(jqXHR, status){

		// formatea la respuesta para ser colocada en consola
		let respuestaFormal = 'Error ' + jqXHR.status + '(' + jqXHR.statusText + '): ' + jqXHR.responseText;
		console.log(respuestaFormal);

		// formatea la respuesta para ser colocada en un elemento HTML
		respuestaFormal = respuestaFormal.replace("\r\n","<br/>");
		//document.getElementById("Respuesta").innerHTML = "<label>" + respuestaFormal + "</label>";
	});

};

// esta funcion SI VARIA en funcion de como es implementada la lista con respecto al diseño web de cada cliente
function ArmadoElementosHTML(ListaProductos){

	// row products, class

	// primeramente limpia el contenedor donde se van a ubicar los productos
	document.getElementsByClassName('row products')[0].setAttribute('id','contenedorProductos');
	document.getElementById('contenedorProductos').innerHTML = '';

	ListaProductos = JSON.parse(ListaProductos);

	// (var i = 0; i < ListaProductos.length; i++)
	for (var i = 0; i < 100; i++){

		// cada elemento se coloca como objeto para poder analizar sus valores
		var ItemListaProductos = ListaProductos[i];

		let precioVenta = ItemListaProductos["PrecioVentaIVI"].toFixed();
		if(precioVenta == undefined) precioVenta = 'Consultar';

		//aqui es donde se toma cada Producto y se coloca como elemento HTML
		let productoAgregar = '' +
		'<div class="col-lg-4 col-md-6">' +
			'<div class="product">' +
				'<div class="flip-container">' +
					'<div class="flipper">' +
						'<div class="front"><a href="detail.html"><center><img style="height: 250px;" id="foto1_' + ItemListaProductos["id"] + '" src="https://icons.iconarchive.com/icons/icons8/windows-8/48/City-No-Camera-icon.png" alt="" class="img-fluid"></center></a></div>' +
					'</div>' +
				'</div><a href="detail.html" class="invisible"><center><img style="height: 250px;" id="foto2_' + ItemListaProductos["id"] + '" src="https://icons.iconarchive.com/icons/icons8/windows-8/48/City-No-Camera-icon.png" alt="" class="img-fluid"></center></a>' +
				'<div class="text">' +
					'<h3><a href="detail.html">' + ItemListaProductos["Descripcion"] + '</a></h3>' +
					'<p class="price"> <del></del>₡ ' + precioVenta +'</p>' +
					'<p class="buttons"><a href="detail.html" class="btn btn-outline-secondary">Detalles</a><a href="basket.html" class="btn btn-primary"><i class="fa fa-shopping-cart"></i>Agregar al carrito</a></p>' +
				'</div>' +
			'</div>' +
		'</div>';

		document.getElementById('contenedorProductos').innerHTML = document.getElementById('contenedorProductos').innerHTML + productoAgregar;	
		ObtenerFotoProductoBase64(ItemListaProductos["id"]);


	}


};

// esta funcion NUNCA se varía de cliente a cliente si se desea reutilizar para otra pagina
function SincronizarProducto(producto){
        
        
        var xhttp = new XMLHttpRequest();

        var requestURL = API_PATH + API_PATH_PRODUCTS +'?sku='+producto.CodigoBarras+'&sortBy=NAME_ASC&enabled=true&token='+API_TOKEN;
        //var requestURL = API_PATH + API_PATH_PRODUCTS +'?sortBy=NAME_ASC&enabled=true&token='+API_TOKEN;

        xhttp.open("GET", requestURL, true);
        xhttp.send();

        xhttp.onreadystatechange = function() {
          if (xhttp.readyState == 4 && xhttp.status == 200) {
            var apiResponse = xhttp.responseText;
            
            var result = JSON.parse(apiResponse);
            var productStore = result['items'][0];
           
           //validate status
           var status = true;
           if(producto.Existencia <= 0){
               status = false;
           }//end if
            //set product info
            var productInfo = {
                'unlimited' : false,
                'quantity' : producto.Existencia,
                'enabled' : status,
                //'name' : 'Access Pinline test6'
                'price' : producto.PrecioVentaA
            };
            
            //actualizar
            actualizarProductoTienda(productStore.id,productInfo);
          }//end if
        };
};

//funcion para actualizar el producto en la tienda
function actualizarProductoTienda(sku,producto){
    
    var params = JSON.stringify(producto);   
    
    var xhttp = new XMLHttpRequest();

    var requestURL = API_PATH + API_PATH_PRODUCTS +'/'+sku+'?token='+API_SECRET_TOKEN;

    xhttp.open("PUT", requestURL, true);
    xhttp.setRequestHeader(
      'Content-type', 'application/json',
      'Content-Length: ' + params.length);
      
    xhttp.send(params);

    xhttp.onreadystatechange = function() {
      if (xhttp.readyState == 4 && xhttp.status == 200) {
        var apiResponse = xhttp.responseText;
        console.log(apiResponse); // prints response in format of Search Products request in Ecwid API
        console.log("Actualizó " +sku );
      }//end if
      
    };
}//end actualizarProductoTienda

$(document).ready(function() {
	//document.getElementsByClassName('row products')[0].innerHTML = '';
	ObtenerProductos();
        //SincronizarProducto();
});